reboot=no
halt=no
superrestore=no
imagename=tecra_20050220
imagetype=tar

for i in `cat /proc/cmdline`
do
	case $i in
		REBOOT)
			reboot=yes
		;;
		HALT)
			halt=yes
		;;
		SUPERRESTORE)
			superrestore=yes
		;;
	esac
done

if test "$superrestore" = "yes" ; then
	sh msgbox
	echo
	echo Jetzt wird der Rechner neu bespielt
	sleep 5
	hdparm -d1 /dev/hda
else
        exit 0
fi

if test "$imagetype" = "tar" ; then
	# delete the partition table first so that we can create new partitions
	dd if=/dev/zero of=/dev/hda bs=512 count=1
	parted -s /dev/hda mklabel msdos
	# 8 GB swap
	parted -s /dev/hda mkpart primary linux-swap 1 8000
	# 32 GB for /
	parted -s /dev/hda mkpart primary reiserfs 8001 40000

	#to be sure that the kernel is using the new partition data
	partprobe /dev/hda

	mkswpap /dev/hda1
	mkreiserfs -f /dev/hda2

	mount /dev/hda2 /mnt
	cd /mnt
	tar xpzf /images/suse10.tar.gz
	cd /

	chroot /mnt /usr/sbin/grub --batch --no-floppy <<EOF
	root (hd0,1)
	setup (hd0)
	quit
EOF
	
	umount /mnt
	sync
else
	dd if=/images/$imagename.mbr of=/dev/hda
	partprobe /dev/hda
	partimage -f 3 -m -b restore /dev/hda1 /images/$imagename.000
#	mount -n -t vfat /dev/hda1 /mnt
	#mkdir /mnt/sysprep
	#cp /sysprep.inf /mnt/sysprep/
	#umount /mnt
fi

if test "$reboot" = "yes" ; then
	echo rebooooting
	/sbin/reboot
fi

if test "$halt" = "yes" ; then
	/sbin/halt
fi

/bin/bash

