#! /bin/sh
### BEGIN INIT INFO
# Provides:          mountall
# Required-Start:    checkfs
# Required-Stop: 
# Should-Start:      lvm
# Should-Stop:       lvm
# Default-Start:     S
# Default-Stop:
# Short-Description: Mount all filesystems.
# Description:
### END INIT INFO
#
# Version:	@(#)mountall.sh  2.85-23  29-Jul-2004  miquels@cistron.nl
#

[ -z "$VERBOSE" ] && VERBOSE=yes
[ -z "$TMPTIME" ] && TMPTIME=0
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /etc/init.d/bootclean.sh
. /lib/lsb/init-functions

do_start () {
	#
	# Mount local file systems in /etc/fstab.
	#
	[ "$VERBOSE" != no ] && log_begin_msg "Mounting local filesystems..."
	(
		# Accept 96 (32/mount failure + 64/some mount
		# succeeded) as a valid exit code from mount in
		# mountall.sh.  It seem to be returned when some mount
		# points already was mounted.
		mount -av -t nonfs,nonfs4,nosmbfs,nocifs,noncp,noncpfs,nocoda,noocfs2,nogfs
		ES=$?
		if [ 96 = $ES ] || [ 0 = $ES ]; then
			[ "$VERBOSE" != no ] && log_end_msg 0
		else
			[ "$VERBOSE" != no ] && log_end_msg 1
		fi
	) 2>&1 | egrep -v '(already|nothing was) mounted'

	case `uname -s` in
		*FreeBSD)
			INITCTL=/etc/.initctl
			;;
		*)
			INITCTL=/dev/initctl
			;;
	esac

	#
	# We might have mounted something over /dev, see if
	# /dev/initctl is there.
	#
	if [ ! -p $INITCTL ]
	then
		rm -f $INITCTL
		mknod -m 600 $INITCTL p
	fi
	kill -USR1 1

	#
	# Execute swapon command again, in case we want to swap to
	# a file on a now mounted filesystem.
	#
	doswap=yes
	case "`uname -sr`" in
		Linux\ 2.[0123].*)
			if grep -qs resync /proc/mdstat
			then
				doswap=no
			fi
			;;
	esac
	if [ $doswap = yes ]
	then
		swapon -a 2> /dev/null
	fi

	#
	#	Clean /tmp, /var/lock, /var/run
	#
	bootclean mountall
}

case "$1" in
    start)
    	do_start
	;;
    *)
        ;;
esac

: exit 0

